<! DOCTYPE html>
<html lang="es">
    <head>
      <title> Electronics Production </title>  
        <meta charset="UTF-8">
       <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!--
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scalable=1, maximum-scale=1, minimum-scale=1">
          -->
        
        
        
        
    <link rel="stylesheet" href="css/fontello.css">
    <link rel="stylesheet" href="css/stylePM.css">
                        
    
    
    
    </head>



    <body>
        <header>
        
       
            <div class="contenedor" > 
            <h1 class="icon-rocket"> Electronics Production  </h1>
            
            <nav class="menu">
                <a href="index.html">HOME</a>
                <a href="HelloBoard.rar">Download Hello Board</a>
                
            
            
            </nav>
        </div>
        
        </header>
    
    <main>
        
        
        <section id="banner">
             
            
            <!--
        
            <div class="contenedor">
           
            <h2> Fundamentals Lab Project </h2>
            <p> Development of assignments </p>
            <a href="#"> Read More</a>
        
         </div>
                -->
            
        </section>
        
        <section id="description">
        <h2> Electronics Production </h2>
            <p> <em> <b> PCB Designing and Milling with MDX-40A</em> </b> </p> <br/>
            <p>  In this stage of the course we will work with the diagram of an electronic circuit in <a href="https://www.autodesk.com/education/free-software/eagle"><em> EAGLE CAD </em></a> and later, we will edit the image with  <a href="https://www.gimp.org/downloads/"><em>GIMP</em></a>    and we will create a G code to work it in the MDX-40A machine
            </p> <br/>
            <br/>
            
           
            
            <p>
                Now, a series of screenshots and comments from the experience. As a first step we have to open the file <a href="https://drive.google.com/drive/folders/1iOGxOxgGVkDT0w1-JUq5Tvx1VnTEWEc0"><em> HELLO </em></a>, which is the base file with which we will learn to design a PCB
           </p> <br/>
        
                 <img src="EAGLE.png" border="2" title="Starting with EAGLECAD " style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
              
            
            <img src="HelloBoard.png" border="2" title="HELLO BOARD" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
             <p>
             We must change the view mode to "Board" to work on the layout of the elements
           </p> <br/>
            
             <img src="BoardeEagle.png" border="2" title="Board with EAGLE CAD" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
              <p>
             When we have verified our design, we must remove all the attributes of our design that are not necessary to work with the CNC machine
           </p> <br/>
            
            
             <img src="setting.png" border="2" title="Setting with EAGLE CAD" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
             <img src="setting2.png" border="2" title="Setting" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
             <p>
             Now we export our file as an image to work some appearance details in GIMP

           </p> <br/>
            
            
            
            
            <img src="exporting.png" border="2" title="Export the Desing" style="max-width:100%;width:auto;height:auto;">  
             <br/>
            
            <img src="exporting2.png" border="2" title="Export the Desing" style="max-width:100%;width:auto;height:auto;">  
             
            <br/>
            <br/>
            
            
            
         <h2> Improving details with GIMP </h2>
            
             <p>
              
                 Now we will create a file for the inside and outside of our PCB
                   </p> <br/>
              
            
            <img src="GIMP.png" border="2" title="Opening the file with GIMP" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
            <p>

            
                We select the area with which we work for the final PCB

           </p> <br/>
            
            
            
            <img src="canvas.png" border="2" title="Fit Canvas to selection" style="max-width:100%;width:auto;height:auto;">  
              <br/>
            
            
            <img src="canvas2.png" border="2" title="Final Selection" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
            <p>
                Round off the corners and Invert the colors

           </p> <br/>
             <img src="Rounded.png" border="2" title="Rounded Rectangle" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
             <img src="Invert.png" border="2" title="Linking the differents CSS Files" style="max-width:100%;width:auto;height:auto;">  
            
            
            <br/>
            
              <p>
            We will save the first element as "inside" and the next as "outside" both will have different G code for the MDX-40A machine

           </p> <br/>
            
             <img src="InsideFinal.png" border="2" title="Inside" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
            <img src="OutsideFinal.png" border="2" title="Printing" style="max-width:100%;width:auto;height:auto;">
             <br/>
            <br/>
            
             <h2> Converting to G Code with FabModules </h2>
            <p>
            
                We will use the <a href="http://fabmodules.org/"><em> FabModules </em></a> web tool to convert our PNG image into a G Code with the specifications that the MDX-40 machine needs to create our PCB and their respective edges.

           </p> <br/>
            
             <img src="FabModule1.png" border="2" title="Fab Modules Setting" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            <img src="FabModules2.png" border="2" title="Fab Modules Setting" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
              <p>
            
                We must do the <a href="https://drive.google.com/drive/folders/1iOGxOxgGVkDT0w1-JUq5Tvx1VnTEWEc0"><em> setting </em></a>  according to the data recommended in the course, first we work in the "engraving" or "insite"

           </p> <br/>
            
            <img src="EngravingSetting.png" border="2" title="Engraving Settings" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
             <img src="ENGRAVINGFINAL.png" border="2" title="Engraving Final" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            <br/>
            
            <p> Now we must perform the same steps with the file "Outside", but we must use the following parameters
            </p> <br/>
            
            <img src="CutOut.png" border="2" title="Cut Out Settings" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
             <img src="CutOutFinal.png" border="2" title="Cut Out final" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
            <h2> Milling Machine MDX-40A </h2>   
            <br/>
            <p> 
                The last stage is to work with the MDX-40A machine, with the help of the Roland V Panel Software we establish the starting point on the XYZ axes and define the speed.
            </p> <br/>
            
            <img src="mdx40.png" border="2" title="MDX-40A" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
             <br/>
            <img src="RolandVPanel.png" border="2" title="Roland V Panel Software" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
             <br/>
            
             <video src="IMG_8510.MOV" width="1135" height="655" autoplay controls></video>
            
            <p> 
               Don´t forget that you must load the program for engraving and cutting for the edges
            </p> <br/>
             <img src="FinishPCB.jpg" border="2" title="Finish PCB" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
             <br/>
             <img src="FinishPCB.png" border="2" title="Finish PCB" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
            <h2> Soldering the board </h2>  
             <p> 
                Now we must drill the holes and then clean the surface with acetone or alcohol. We recommend soldering the microcontroller first. 
                It is important that you know that if a soldering spot is exposed to heat for a long time it could break the wire. For this reason, it alternates the soldering in different points.
            </p> <br/>
            
            <img src="StartSoldering.png" border="2" title="Start Soldering" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
             <img src="SolderingFinal.png" border="2" title="Soldering Final" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
            I should correct my broken soldering point with a thin wire and a little more tin
              
            <br/>
            
             <img src="Solderingfixed.png" border="2" title="Soldering Fixed" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
            
            
             <h2>


                Using Arduino like a bootloader

           </h2> <br/>
            
            
            <p> 
               
                Now we must use <em><a href="https://www.arduino.cc/en/Main/Software">ARDUINO</a></em> to load our program to our microcontroller, remember to have previously installed the software and follow these simple steps.
            </p> <br/>
             <p> 
               
                 1 - connect the arduino uno to the pc </p> 
                <p>  2 - select the right port and the arduino uno board under tools </p>
                <p>     3 - under file->examples find and open the arduino as isp sketch</p>
                 <p>    4 - upload the sketch to the arduino </p>
                <p>     5 - disconnect the arduino from the pc </p>
                  <p>   6 - connect the hello board with the arduino (check the connection schema) </p> <br/> <br/>
            
            <img src="arduino_connection.png" border="2" title="Arduino Conections" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
                   <p>  7 - triple check the connections  </p>
                   <p>   8 - connect the arduino to the pc  </p>
                    <p> 9 - select the right board/processor/frequency -> attiny25/45/85, attiny45, internal 8mhz </p> <br/> <br/>
            
            <p> If you do not find Attiny, follow these steps to add it </p>
            
            <img src="FileAndPreferences.png" border="2" title="Steps for Add Attiny to your programm" style="max-width:100%;width:auto;height:auto;">  
            
            <br/> 
            <br/>
            
            <p> Copy this URL: <u> https://raw.githubusercontent.com/damellis/attiny/ide-1.6.x-boards-manager/package_damellis_attiny_index.json </u> and paste It in the URL Field </p>
            <br/>
            
             <img src="URLAttiny.png" border="2" title="Steps for Add Attiny to your programm" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            
            <img src="StepstoAddAtitiny.png" border="2" title="Steps for Add Attiny to your programm" style="max-width:100%;width:auto;height:auto;">  
            
                
            <br/>
            <br/>
            
                   <p> 10 - under tools select the arduino as isp programmer </p>
            
            <img src="ArduinoISP.png" border="2" title="Arduino ISP" style="max-width:100%;width:auto;height:auto;">  
            
            <br/> <br/>
                   <p> 11 - double check all the paramters </p>
                    <p> 12 - click to tools-> burn bootloader </p>
            
            <br/>
            
            <img src="Burn%20Bootloader.png" border="2" title="Bootloader" style="max-width:100%;width:auto;height:auto;">  
            
            <br/>
            <p>13 - Go to file > examples > basics >  <b> blink </b> or write your own program </p>
                    <p>14 - to program the board do sketch->upload using programmer </p>
             <br/>
            
             <video src="Blinking.MOV" width="1135" height="655" autoplay controls></video>
               <br/>
               <br/>
            
            <p> Remember that you can download interesting files in the upper tab of this website </p>
            
            
             <h2>


                
                 It´s ready 

           </h2> <br/>
            
            
            
        </section>
        
              --> 
        </section>
        </main>
    
    </body>
</html>